Request

Response

    project metadata
    GET

    projects/{projectId}/metadata

    Retrieves Autospecs-related information about the specified Forma project, including details about the project versions and the region.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/construction/autospecs/v1/projects/{projectId}/metadata
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    * Required

    Request

    URI Parameters

    projectId
    string
    The ID of the project.

    Use the Data Management API to retrieve the project ID. For more information, see the Retrieve a Project ID tutorial. You need to convert the project ID into a project ID for the Forma API by removing the “b.” prefix. For example, a project ID of b.a4be0c34a-4ab7 translates to a project ID of a4be0c34a-4ab7.

    Response

    HTTP Status Code Summary

    200
    OK
    OK
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    Expand all
    projectId
    string
    The Forma project ID.
    region
    enum:string
    The region of the specification PDFs that were uploaded for this project. Currently, AutoSpecs supports CSI MasterFormat for the United States and Canada. Possible values: USA, Canada, Others
    versions
    array: object
    Information about the versions for the project.
    id
    string
    The ID of the AutoSpecs version, generated by AutoSpecs when creating the new version.
    name
    string
    The version name provided by the user when creating the version.
    status
    enum:string
    The status of the specification extraction. Note that Smart Register data (GET smartRegster) is only available when the status is Completed.

    Note that we do not currently support webhooks for the AutoSpecs API. Possible values: Completed, In Progress, Failed

    currentVersion
    boolean
    true if this is the current version false if this is not the current version
    createdAt
    string
    The date and time the version was created in ISO8601 format. For example, 2023-01-17T09:54:27.000Z.
    updatedAt
    string
    The last date and time the version was updated in in ISO8601. For example 2023-01-17T09:54:27.000Z.

    Example

    Successful retrieval of project metadata

    Request

    curl -v 'https://developer.api.autodesk.com/construction/autospecs/v1/projects/:projectId/metadata' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
        "projectId": "06ca50d7-00ee-485e-a4b0-01ff3ffa7977",
        "region": "CANADA",
        "versions": [
            {
                "name": "Issued For Construction",
                "status": "Completed",
                "currentVersion": true,
                "createdAt": "2023-01-04T10:12:45.000Z",
                "updatedAt": "2023-01-17T09:54:27.000Z",
                "id": "2268"
            },
            {
                "name": "Confederation Heights",
                "status": "Completed",
                "currentVersion": false,
                "createdAt": "2022-11-02T05:04:11.000Z",
                "updatedAt": "2022-11-02T05:05:01.000Z",
                "id": "2062"
            }
        ]
    }
    
    Show More